// PHINGE.INC
//
// Piano Hinge Object - For PIANO.POV
//
// Neil Clark - 2/95
//
// For the 2/95 'Sound/Music' Ray Tracing Contest
//

#declare Piano_Hinge_Cell = difference
  {
    object { Disk_Z scale <0.15, 0.15, 0.4> }
    object { Disk_Z scale <0.14, 0.14, 0.45> }
    texture { Polished_Brass }
  }

#declare Piano_Hinge = union
  {
    // right
    object { box { <0,0,0>, <0.02, 0.075, 0.4> } texture { Polished_Brass }}
    object { box { <0,0,0>, <0.02, 0.055, 55> } texture { Polished_Brass }}
    // left
    object { box { <-0.02,0,0>, <0, 0.075, 0.4> } texture { Polished_Brass }}
    object { box { <-0.02,0,0>, <0, 0.055, 55> } texture { Polished_Brass }}
    // hinge cells
    object { Piano_Hinge_Cell translate <0,0,0> }
    object { Piano_Hinge_Cell translate <0,0,0.5> }
    object { Piano_Hinge_Cell translate <0,0,1> }
    object { Piano_Hinge_Cell translate <0,0,1.5> }
    object { Piano_Hinge_Cell translate <0,0,2> }
    object { Piano_Hinge_Cell translate <0,0,2.5> }
    object { Piano_Hinge_Cell translate <0,0,3> }
    object { Piano_Hinge_Cell translate <0,0,3.5> }
    object { Piano_Hinge_Cell translate <0,0,4> }
    object { Piano_Hinge_Cell translate <0,0,4.5> }
    object { Piano_Hinge_Cell translate <0,0,5> }
    object { Piano_Hinge_Cell translate <0,0,5.5> }
    object { Piano_Hinge_Cell translate <0,0,6> }
    object { Piano_Hinge_Cell translate <0,0,6.5> }
    object { Piano_Hinge_Cell translate <0,0,7> }
    object { Piano_Hinge_Cell translate <0,0,7.5> }
    object { Piano_Hinge_Cell translate <0,0,8> }
    object { Piano_Hinge_Cell translate <0,0,8.5> }
    object { Piano_Hinge_Cell translate <0,0,9> }
    object { Piano_Hinge_Cell translate <0,0,9.5> }
    object { Piano_Hinge_Cell translate <0,0,10> }
    object { Piano_Hinge_Cell translate <0,0,10.5> }
    object { Piano_Hinge_Cell translate <0,0,11> }
    object { Piano_Hinge_Cell translate <0,0,11.5> }
    object { Piano_Hinge_Cell translate <0,0,12> }
    object { Piano_Hinge_Cell translate <0,0,12.5> }
    object { Piano_Hinge_Cell translate <0,0,13> }
    object { Piano_Hinge_Cell translate <0,0,13.5> }
    object { Piano_Hinge_Cell translate <0,0,14> }
    object { Piano_Hinge_Cell translate <0,0,14.5> }
    object { Piano_Hinge_Cell translate <0,0,15> }
    object { Piano_Hinge_Cell translate <0,0,15.5> }
    object { Piano_Hinge_Cell translate <0,0,16> }
    object { Piano_Hinge_Cell translate <0,0,16.5> }
    object { Piano_Hinge_Cell translate <0,0,17> }
    object { Piano_Hinge_Cell translate <0,0,17.5> }
    object { Piano_Hinge_Cell translate <0,0,18> }
    object { Piano_Hinge_Cell translate <0,0,18.5> }
    object { Piano_Hinge_Cell translate <0,0,19> }
    object { Piano_Hinge_Cell translate <0,0,19.5> }
    object { Piano_Hinge_Cell translate <0,0,20> }
    object { Piano_Hinge_Cell translate <0,0,20.5> }
    object { Piano_Hinge_Cell translate <0,0,21> }
    object { Piano_Hinge_Cell translate <0,0,21.5> }
    object { Piano_Hinge_Cell translate <0,0,22> }
    object { Piano_Hinge_Cell translate <0,0,22.5> }
    object { Piano_Hinge_Cell translate <0,0,23> }
    object { Piano_Hinge_Cell translate <0,0,23.5> }
    object { Piano_Hinge_Cell translate <0,0,24> }
    object { Piano_Hinge_Cell translate <0,0,24.5> }
    object { Piano_Hinge_Cell translate <0,0,25> }
    object { Piano_Hinge_Cell translate <0,0,25.5> }
    object { Piano_Hinge_Cell translate <0,0,26> }
    object { Piano_Hinge_Cell translate <0,0,26.5> }
    object { Piano_Hinge_Cell translate <0,0,27> }
    object { Piano_Hinge_Cell translate <0,0,27.5> }
    object { Piano_Hinge_Cell translate <0,0,28> }
    object { Piano_Hinge_Cell translate <0,0,28.5> }
    object { Piano_Hinge_Cell translate <0,0,29> }
    object { Piano_Hinge_Cell translate <0,0,29.5> }
    object { Piano_Hinge_Cell translate <0,0,30> }
    object { Piano_Hinge_Cell translate <0,0,30.5> }
    object { Piano_Hinge_Cell translate <0,0,31> }
    object { Piano_Hinge_Cell translate <0,0,31.5> }
    object { Piano_Hinge_Cell translate <0,0,32> }
    object { Piano_Hinge_Cell translate <0,0,32.5> }
    object { Piano_Hinge_Cell translate <0,0,33> }
    object { Piano_Hinge_Cell translate <0,0,33.5> }
    object { Piano_Hinge_Cell translate <0,0,34> }
    object { Piano_Hinge_Cell translate <0,0,34.5> }
    object { Piano_Hinge_Cell translate <0,0,35> }
    object { Piano_Hinge_Cell translate <0,0,35.5> }
    object { Piano_Hinge_Cell translate <0,0,36> }
    object { Piano_Hinge_Cell translate <0,0,36.5> }
    object { Piano_Hinge_Cell translate <0,0,37> }
    object { Piano_Hinge_Cell translate <0,0,37.5> }
    object { Piano_Hinge_Cell translate <0,0,38> }
    object { Piano_Hinge_Cell translate <0,0,38.5> }
    object { Piano_Hinge_Cell translate <0,0,39> }
    object { Piano_Hinge_Cell translate <0,0,39.5> }
    object { Piano_Hinge_Cell translate <0,0,40> }
    object { Piano_Hinge_Cell translate <0,0,40.5> }
    object { Piano_Hinge_Cell translate <0,0,41> }
    object { Piano_Hinge_Cell translate <0,0,41.5> }
    object { Piano_Hinge_Cell translate <0,0,42> }
    object { Piano_Hinge_Cell translate <0,0,42.5> }
    object { Piano_Hinge_Cell translate <0,0,43> }
    object { Piano_Hinge_Cell translate <0,0,43.5> }
    object { Piano_Hinge_Cell translate <0,0,44> }
    object { Piano_Hinge_Cell translate <0,0,44.5> }
    object { Piano_Hinge_Cell translate <0,0,45> }
    object { Piano_Hinge_Cell translate <0,0,45.5> }
    object { Piano_Hinge_Cell translate <0,0,46> }
    object { Piano_Hinge_Cell translate <0,0,46.5> }
    object { Piano_Hinge_Cell translate <0,0,47> }
    object { Piano_Hinge_Cell translate <0,0,47.5> }
    object { Piano_Hinge_Cell translate <0,0,48> }
    object { Piano_Hinge_Cell translate <0,0,48.5> }
    object { Piano_Hinge_Cell translate <0,0,49> }
    object { Piano_Hinge_Cell translate <0,0,49.5> }
    object { Piano_Hinge_Cell translate <0,0,50> }
    object { Piano_Hinge_Cell translate <0,0,50.5> }
    object { Piano_Hinge_Cell translate <0,0,51> }
    object { Piano_Hinge_Cell translate <0,0,51.5> }
    object { Piano_Hinge_Cell translate <0,0,52> }
    object { Piano_Hinge_Cell translate <0,0,52.5> }
    object { Piano_Hinge_Cell translate <0,0,53> }
    object { Piano_Hinge_Cell translate <0,0,53.5> }
    object { Piano_Hinge_Cell translate <0,0,54> }
    object { Piano_Hinge_Cell translate <0,0,54.5> }
    object { Piano_Hinge_Cell translate <0,0,55> }
    object { Piano_Hinge_Cell translate <0,0,55.5> }
    object { Piano_Hinge_Cell translate <0,0,56> }
  }

